commit:     aecda2f12d7476116b5223b755f5e52a1856363d
Author:     Nick Sarnie <sarnex <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 25 01:43:04 2019 +0000
Commit:     Nick Sarnie <sarnex <AT> gentoo <DOT> org>
CommitDate: Mon Nov 25 01:46:43 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aecda2f1

virtual/wine: Remove reference to last rited package

Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Nick Sarnie <sarnex <AT> gentoo.org>

 virtual/wine/wine-0-r7.ebuild | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/virtual/wine/wine-0-r7.ebuild b/virtual/wine/wine-0-r7.ebuild
new file mode 100644
index 00000000000..c169693fcdb
--- /dev/null
+++ b/virtual/wine/wine-0-r7.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Virtual for Wine that supports multiple variants and slotting"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+abi_x86_32 +abi_x86_64 staging"
+
+REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )"
+
+# Note, the ordering here is intentional, to take advantage of the 
short-circuit
+# logic of portage, to enforce wine-vanilla as default for new users.  The idea
+# behind this is that some USE flags may pull in 3rd-party patchsets, so 
default
+# of vanilla prevents that.
+RDEPEND="
+       staging? ( || (
+               app-emulation/wine-staging[staging]
+       ) )
+       || (
+               app-emulation/wine-vanilla[abi_x86_32=,abi_x86_64=]
+               app-emulation/wine-staging[abi_x86_32=,abi_x86_64=]
+       )
+       !app-emulation/wine:0"

Reply via email to